linux: 3.2.0-77.112 -proposed tracker

Bug #1419968 reported by Seth Forshee on 2015-02-09
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Seth Forshee
Prepare-package-lbm
Medium
Seth Forshee
Prepare-package-meta
Medium
Seth Forshee
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.2.0-77.112 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 09. February 2015 20:11 UTC
kernel-stable-Prepare-package-end:Wednesday, 11. February 2015 01:08 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 11. February 2015 01:08 UTC
kernel-stable-Certification-testing-end:Thursday, 12. February 2015 17:00 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 12. February 2015 18:03 UTC
kernel-stable-Security-signoff-start:Thursday, 12. February 2015 20:01 UTC
kernel-stable-Verification-testing-start:Thursday, 12. February 2015 20:01 UTC
kernel-stable-Regression-testing-start:Thursday, 12. February 2015 20:01 UTC
kernel-stable-Verification-testing-end:Monday, 16. February 2015 17:00 UTC
kernel-stable-Regression-testing-end:Monday, 16. February 2015 17:00 UTC
kernel-stable-Promote-to-updates-start:Thursday, 19. February 2015 22:00 UTC
kernel-stable-Security-signoff-end:Thursday, 19. February 2015 22:00 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 24. February 2015 20:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 24. February 2015 21:01 UTC

Seth Forshee (sforshee) on 2015-02-09
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1420560
linux-armadaxp - bug 1420561
linux-lowlatency - bug 1420562

description: updated
Brad Figg (brad-figg) on 2015-02-12
description: updated
Chris J Arges (arges) wrote :

Promote to proposed:
 linux | 3.2.0-77.112 | precise-proposed | source
 linux-meta | 3.2.0.77.91 | precise-proposed | source
 linux-backports-modules-3.2.0 | 3.2.0-77.69 | precise-proposed | source

Brad Figg (brad-figg) on 2015-02-12
description: updated
Brad Figg (brad-figg) on 2015-02-12
description: updated
Brad Figg (brad-figg) on 2015-02-16
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-02-16
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2015-02-19
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-77.112

---------------
linux (3.2.0-77.112) precise; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1419968

  [ Kamal Mostafa ]

  * [Packaging] force "dpkg-source -I -i" behavior

  [ Upstream Kernel Changes ]

  * isofs: Fix unchecked printing of ER records
    - LP: #1409808
    - CVE-2014-9584
  * KEYS: close race between key lookup and freeing
    - LP: #1409048
    - CVE-2014-9529
  * vfs: new internal helper: mnt_has_parent(mnt)
    - LP: #1383356
    - CVE-2014-7970
  * vfs: more mnt_parent cleanups
    - LP: #1383356
    - CVE-2014-7970
  * mnt: Prevent pivot_root from creating a loop in the mount tree
    - LP: #1383356
    - CVE-2014-7970
  * netfilter: conntrack: disable generic tracking for known protocols
    - LP: #1413109
    - CVE-2014-8160
  * KVM: x86 emulator: reject SYSENTER in compatibility mode on AMD guests
    - LP: #1414651
    - CVE-2015-0239
  * KVM: x86: SYSENTER emulation is broken
    - LP: #1414651
    - CVE-2015-0239
  * x86_64, vdso: Fix the vdso address randomization algorithm
    - LP: #1409811
    - CVE-2014-9585
  * crypto: prefix module autoloading with "crypto-"
    - LP: #1415507
    - CVE-2013-7421
  * crypto: add missing crypto module aliases
    - LP: #1415507
    - CVE-2013-7421
  * crypto: include crypto- module prefix in template
    - LP: #1415632
    - CVE-2014-9644
 -- Seth Forshee <email address hidden> Mon, 09 Feb 2015 14:27:01 -0600

Changed in linux (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2015-02-24
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers